%define upstream_name  	    Search-Indexer
%define upstream_version 0.77

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Full-text indexer
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BerkeleyDB) >= 0.220.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Search::QueryParser) >= 0.910.0
BuildArch:  noarch

%description
This module provides support for indexing a collection of documents, for
searching the collection, and displaying the sorted results, together with
contextual excerpts of the original document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.770.0-2.mga4
+ Revision: 527296
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.770.0-1.mga4
+ Revision: 439860
- update to 0.77

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-3.mga3
+ Revision: 372555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.760.0-2.mga1
+ Revision: 23910
- cleaning spec file
- imported package perl-Search-Indexer

